---
agentTools:
  projectIndex: https://c-one.readme.io/llms.txt
---

# Get Transaction by Owner ID

This endpoint retrieves transactions associated with a specific owner based on the provided owner ID.

**Path Parameter**

| Parameter | Type   | Description                                                                   |
| --------- | :----- | ----------------------------------------------------------------------------- |
| ownerId   | string | The unique identifier of the owner for whom transactions are to be retrieved. |

**Query Parameter**

| Parameter | Type   | Description                                                                                    |
| --------- | :----- | ---------------------------------------------------------------------------------------------- |
| sortField | string | The field by which the transactions should be sorted (e.g., "date", "amount").                 |
| sortOrder | string | The order in which transactions should be sorted ("asc" for ascending, "desc" for descending). |
| filter    | string | A filter to narrow down transactions based on specific criteria (e.g., "category=food").       |
| limit     | number | The maximum number of transactions to be returned per page.                                    |
| page      | number | The page number of transactions to be retrieved.                                               |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "FinStack Wallet",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://wassdev.idbanc.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-api-key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/wallet/transactions/by-owner/{ownerId}": {
      "get": {
        "summary": "Get Transaction by Owner ID",
        "description": "This endpoint retrieves transactions associated with a specific owner based on the provided owner ID.",
        "operationId": "get-transaction-by-ownerid",
        "parameters": [
          {
            "name": "ownerId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "sortField",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortOrder",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}{\n  \"data\": {\n    \"data\": [\n      {\n        \"id\": \"866a1b04-6db2-4d84-b300-2b575b8c76c2\",\n        \"amount\": 10,\n        \"type\": \"external\",\n        \"memo\": \"Account funded\",\n        \"createdAt\": \"Fri Aug 11 2023 16:35:53 GMT+0000 (Coordinated Universal Time)\",\n        \"paymentMethdo\": \"bank_transfer\",\n        \"status\": \"successful\",\n        \"toAccount\": {\n          \"id\": \"bda3d193-e198-4107-b7bf-f0ce4f6325f3\",\n          \"accountNumber\": \"5209135097\",\n          \"name\": \"string\"\n        },\n        \"customerName\": \"\"\n      }\n    ],\n    \"page\": 1,\n    \"total\": 1,\n    \"totalRecords\": 1\n  },\n  \"statusCode\": 200,\n  \"success\": true,\n  \"message\": \"OK!\"\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "64c41ed5f5f0ab0018f09f83:64d78ed1b222930c51acea0b"
}
```